Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.layers
Class LayerMembership

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.PropertyList
              org.pdfclown.documents.contents.layers.LayerEntity
                  org.pdfclown.documents.contents.layers.LayerMembership

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class LayerMembership

extends LayerEntity

Optional content membership [PDF:1.7:4.10.1].

Since:
  0.1.1
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.layers.LayerEntity
`LayerEntity.VisibilityPolicyEnum`

Field Summary
`static PdfName` | `TypeName`

Constructor Summary
`LayerMembership(Document context)`

Method Summary
`LayerMembership` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`LayerMembership` | `getMembership()` Gets the default membership.
`List<Layer>` | `getVisibilityLayers()` Gets the layers whose states determine the visibility of content controlled by this entity.
`LayerEntity.VisibilityPolicyEnum` | `getVisibilityPolicy()` Gets the visibility policy of this entity.
`void` | `setVisibilityPolicy(LayerEntity.VisibilityPolicyEnum value)`
`static LayerMembership` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TypeName

    public static final PdfName TypeName

Constructor Detail

### LayerMembership

    public LayerMembership(Document context)

Method Detail

### wrap

    public static LayerMembership wrap(PdfDirectObject baseObject)

### clone

    public LayerMembership clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PropertyList`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getMembership

    public LayerMembership getMembership()

  Description copied from class: `LayerEntity`
  Gets the default membership. This collection corresponds to the hierarchical relation between this layer entity and its ascendants.

  Overrides:
    `getMembership` in class `LayerEntity`

### getVisibilityLayers

    public List<Layer> getVisibilityLayers()

  Description copied from class: `LayerEntity`
  Gets the layers whose states determine the visibility of content controlled by this entity.

  Overrides:
    `getVisibilityLayers` in class `LayerEntity`

### getVisibilityPolicy

    public LayerEntity.VisibilityPolicyEnum getVisibilityPolicy()

  Description copied from class: `LayerEntity`
  Gets the visibility policy of this entity.

  Overrides:
    `getVisibilityPolicy` in class `LayerEntity`

### setVisibilityPolicy

    public void setVisibilityPolicy(LayerEntity.VisibilityPolicyEnum value)

  Overrides:
    `setVisibilityPolicy` in class `LayerEntity`
  See Also:
    `LayerEntity.getVisibilityPolicy()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.